# $Revision: 1.8.2.2 $, $Date: 2003/09/21 19:55:32 $
%include	/usr/lib/rpm/macros.perl
Summary:	Performs full-text search over the cache created by WWWOFFLE
Summary(pl):	Penotekstowe przeszukiwanie cache utworzonego przez WWWOFFLE
Name:		mknmz-wwwoffle
Version:	0.7.2
Release:	2
License:	GPL
Group:		Applications/Text
Source0:	http://www.naney.org/comp/distrib/mknmz-wwwoffle/archive/%{name}-%{version}.tar.gz
# Source0-md5:	9258fa92d31d4894e898e61805d48d04
URL:		http://www.naney.org/comp/distrib/mknmz-wwwoffle/index.html
BuildRequires:	autoconf
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl-DB_File
Requires:	namazu
Requires:	perl-DB_File
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nknmz-wwwoffle performs full-text search over the cache created by
wwwoffle, using full-text search system Namazu
(http://www.namazu.org/). It adds a filter for mknmz which is used to
generate index files for cache entries in wwwoffle.

%description -l pl
mknmz-wwwoffle przeprowadza penotekstowe przeszukiwanie cache
utworzonego przez wwwoffle, uywajc systemu przeszukiwania
penotekstowego Namazu (http://www.namazu.org/). mknmz-wwwoffle dodaje
filtr dla mknmz, ktry jest uywany do generowania plikw indeksowych
dla cache z wwwoffle.

%prep
%setup -q

%build
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%lang(ja) %doc README.ja
%attr(755,root,root) %{_bindir}/mknmz-wwwoffle
%{_mandir}/man1/*
%{_datadir}/namazu/filter/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mknmz-wwwoffle.spec,v $
Revision 1.8.2.2  2003/09/21 19:55:32  twittner
- Release 2: added missing R: perl-DB_File; STBR Ra general.

Revision 1.8.2.1  2003/09/15 13:40:07  twittner
- STBR Ra general.

Revision 1.8  2003/09/15 13:36:47  twittner
- noarch, BR perl-DB_File (important). Rel. 2 for newer than Ra*.

Revision 1.7  2003/09/03 10:54:10  qboosh
- cleanups, fixed build

Revision 1.6  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/02 22:08:34  ankry
- pl Summary/description fixes
- adapterized

Revision 1.3  2002/10/07 14:00:23  qboosh
- BR: autoconf

Revision 1.2  2002/07/14 22:24:47  qboosh
- added pl description, fixed changelog
